Jump to content


Photo

Bug Reports


31 replies to this topic

#16 Tarlonniel

Tarlonniel
  • Members
  • 55 posts
  • Gender:Female

Posted 07 March 2015 - 04:34 PM

I'm probably an idiot. Got it. Thanks!



#17 Itomon

Itomon
  • Members
  • 2 posts

Posted 24 March 2015 - 10:31 PM

Hello again, thank you for fixing the errors. I have encountered yet another problem...which is quite serious, because Yoshimo isn't surviving after spell Hold.

When Saemon Havan portal my party to out side the SpellHold, Yoshimo gets instantly killed, (and without his hart dropped)

 

I forgot when was Yoshimo supposed to betray me exactly, but When Bohdi attacked my party at the exit, he didn't project dialog.

In fact, Yoshimo has been totally silence since I installed him.

 

Could you tell me what Should I do now?

Because I didn't put Imoen in my party, I'd have to travel without thief now.

I can pick up Imoen again and re-do the spell hold, but I really like to keep Yoshimo.

 

Let me know should you want me to give any valiables. THank you.

This was exactly what happened with me. I'm playing BG2EE and had only this mod installed. What should i do?



#18 iavasechui

iavasechui
  • Members
  • 2 posts

Posted 03 April 2015 - 08:48 PM

 

Finally found my login info! Anyway, I downloaded the latest version and when I unzipped it, there was no setup file inside, so I can't install the mod.

Get WeiDU from here, put the WeiDU executable on the same path as the mod's folder and rename it to setup-7c-yoshi.

 

All i get from this is an error message about archives.

 

edit: nvm figured it out


Edited by iavasechui, 03 April 2015 - 09:04 PM.


#19 etlamodeus

etlamodeus
  • Members
  • 5 posts
  • Gender:Not Telling

Posted 12 December 2015 - 02:29 PM

I'm also having a lot of problems trying to get KY to even install.

 

I've been playing and modding BG2 for ... like... ever since it came out, basically, and I've never had problems getting other mods to work or at least understanding why they didn't and then being able to fix them. This one though is just so opaque. There is no information about anything, nothing works at all, no one know why or what to do about it, no one can even agree what's wrong. Why is this the only mod for this game that just flat out refuses to do what it claims it does?

 

I can get WeiDu to attempt at least to install it, and it throws out a billion warnings before finally hitting this part and barfing all over itself:

ERROR: cannot resolve trigger 0x40de
ERROR: [AR0406.BCS] -> [override/AR0406.BCS] Patching Failed (COPY) (Not_found)
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Keeping Yoshimo after Spellhold], rolling back to previous state
Unable to Unlink [7C-Yoshi/Backup/5/OTHER.5]: Unix.Unix_error(1, "unlink", "7C-Yoshi/Backup/5/OTHER.5")

Clearly this mod simply does not work.

 

I know it's "beta" and whatever, but other people have claimed to have it working and running, but they have given absolutely no useful information about how.



#20 Fiann of the Silver Hand

Fiann of the Silver Hand
  • Modders
  • 387 posts
  • Gender:Male
  • Location:MURICA

Posted 12 December 2015 - 03:52 PM

Without having looked at it, there should only be a handful of scripts to alter to get this to work: the Coronet's ARE script and Yoshimo's, in particular. Those two (at the least) must be getting overridden by later installed mods.

#21 Lollorian

Lollorian

    clueless

  • Modders
  • 172 posts
  • Gender:Male

Posted 12 December 2015 - 08:52 PM

Closer look at the error should reveal the problem:

ERROR: cannot resolve trigger 0x40de
ERROR: [AR0406.BCS] -> [override/AR0406.BCS] Patching Failed (COPY) (Not_found)

 

Translation:

When decompiling AR0406.BCS, I couldn't understand what the trigger code 0x40de means. I understand trigger codes using the TRIGGER.IDS so this code is not present there either (sidenote: 0x40de is not present in the vanilla TRIGGER.IDS as well so whatever mod you installed earlier that added this trigger to AR0406.BCS is the culprit)



#22 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6360 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 12 December 2015 - 09:34 PM

(sidenote: 0x40de is not present in the vanilla TRIGGER.IDS as well so whatever mod you installed earlier that added this trigger to AR0406.BCS is the culprit)

Or it got overwritten by another mods FU notice. Aka, time to weidu change-log the "trigger.ids" -file. Or the fact that the KeepY... doesn't have the reinsurance it should, aka it doesn't make sure that the trigger.ids has the 0x40de ...


Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#23 CrevsDaak

CrevsDaak

    imma lil orc now duh duh

  • Modders
  • 165 posts
  • Gender:Male
  • Location:Bs. As., Argentina

Posted 16 December 2015 - 09:34 PM

I'm also having a lot of problems trying to get KY to even install.
 
I've been playing and modding BG2 for ... like... ever since it came out, basically, and I've never had problems getting other mods to work or at least understanding why they didn't and then being able to fix them. This one though is just so opaque. There is no information about anything, nothing works at all, no one know why or what to do about it, no one can even agree what's wrong. Why is this the only mod for this game that just flat out refuses to do what it claims it does?
 
I can get WeiDu to attempt at least to install it, and it throws out a billion warnings before finally hitting this part and barfing all over itself:

ERROR: cannot resolve trigger 0x40de
ERROR: [AR0406.BCS] -> [override/AR0406.BCS] Patching Failed (COPY) (Not_found)
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Keeping Yoshimo after Spellhold], rolling back to previous state
Unable to Unlink [7C-Yoshi/Backup/5/OTHER.5]: Unix.Unix_error(1, "unlink", "7C-Yoshi/Backup/5/OTHER.5")
Clearly this mod simply does not work.
 
I know it's "beta" and whatever, but other people have claimed to have it working and running, but they have given absolutely no useful information about how.

What the... What's that error?0x40de is HasDLC(S:DLCName*) and it's only in EE games' trigger.ids (if it's not there then your *install* is bugged), but, Keeping Yoshimo doesn't modify AR406.BCS if you're not playing EE, which makes me wonder... Is the error actually in *this* mod? D:

Also, another question, which game are you modding, and, in which OS? This is basic for troubleshooting ;p

Those two (at the least) must be getting overridden by later installed mods.

I don't know how many times I've said this, but... IF you're NOT playing Windows BG2 (be it on Wine or native), you HAVE to install THIS mod last.

Why? Because this mod modifies all the scripts and dialogs to work, by changing Yoshimo's death variable (which is done to avoid him going away in ToB), hence, you have to install it last :)

#24 etlamodeus

etlamodeus
  • Members
  • 5 posts
  • Gender:Not Telling

Posted 17 December 2015 - 12:52 AM

Yes, it's the most recent mod I've attempted to install. I've played through the game once or twice all the way through already with exactly the same install before attempting this one.

 

K.Y. is the only new mod I've tried to install in, like, ten years. And yes, it's the EE version of BG2 being run on Windblows x64


Edited by etlamodeus, 17 December 2015 - 12:55 AM.


#25 CrevsDaak

CrevsDaak

    imma lil orc now duh duh

  • Modders
  • 165 posts
  • Gender:Male
  • Location:Bs. As., Argentina

Posted 18 December 2015 - 05:27 AM

Yes, it's the most recent mod I've attempted to install. I've played through the game once or twice all the way through already with exactly the same install before attempting this one.
 
K.Y. is the only new mod I've tried to install in, like, ten years. And yes, it's the EE version of BG2 being run on Windblows x64

Mm, I have no idea what could be causing this... Did you try making a clear install, and installing it there? I have no problems installing on BG2:EE... What mods are you using? Could you please post your WeiDU.log?

AFAIK, this is either being caused by other mod removing something from trigger.ids, or a mod overriding trigger.ids incorrectly.

#26 Lollorian

Lollorian

    clueless

  • Modders
  • 172 posts
  • Gender:Male

Posted 18 December 2015 - 08:58 AM

... or a mod overriding trigger.ids incorrectly.

Most likely this. WeiDU.log should give you the list of mods currently installed through WeiDU



#27 etlamodeus

etlamodeus
  • Members
  • 5 posts
  • Gender:Not Telling

Posted 19 December 2015 - 10:48 AM

Looks like Alternatives, Romantic Encounters, Spell Revisions, Tweaks and NPC Flirt on this install. I see that RE has an option regarding Solaufein -- is that in AR0406?



#28 Lollorian

Lollorian

    clueless

  • Modders
  • 172 posts
  • Gender:Male

Posted 19 December 2015 - 10:57 AM

~SETUP-SOLAUFEIN.TP2~ #0 #0 // Solaufein Romance for Baldur's Gate II (SoA & ToB)

Your TRIGGER.IDS overwriter



#29 etlamodeus

etlamodeus
  • Members
  • 5 posts
  • Gender:Not Telling

Posted 19 December 2015 - 04:45 PM

Maybe I'm just eggnart after not paying attention to BG2 modding for so long, but why would Keeping Yoshimo conflict with that?



#30 CrevsDaak

CrevsDaak

    imma lil orc now duh duh

  • Modders
  • 165 posts
  • Gender:Male
  • Location:Bs. As., Argentina

Posted 19 December 2015 - 05:56 PM

It conflicts with every single EE mod which re-compile scripts. It uses overriding instead of patching ('tis an old mod!), and since it's not updated for BG(2):EE, it drops BG2's trigger.ids in your override folder and thus breaks it because WeiDU doesn't read the BG(2):EE's one, which has new triggers and stuff BG2's doesn't. Simple as that.

Just delete trigger.ids from override/ in the game's folder, and keeping Yoshimo should install.



Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users